# Upload

API Documentation: | `Upload`

Note: This class is deprecated and will be removed in the next major version of Gradle.

Uploads the artifacts of a `Configuration` to a set of repositories.

### Properties

Property | Description
`artifacts` | The artifacts which will be uploaded.
`configuration` | The configuration to upload.
`repositories` | The repositories to upload to.
`uploadDescriptor` | Specifies whether the dependency descriptor should be uploaded.

### Methods

Method | Description
`repositories(configureAction)` | Configures the set of repositories to upload to.

### Script blocks

Block | Description
`repositories` | Configures the set of repositories to upload to.

### Property details

#### `FileCollection` `artifacts` (read-only)

The artifacts which will be uploaded.

#### `Configuration` `configuration`

The configuration to upload.

#### `RepositoryHandler` `repositories` (read-only)

The repositories to upload to.

#### `boolean` `uploadDescriptor`

Specifies whether the dependency descriptor should be uploaded.

### Method details

#### `RepositoryHandler` `repositories`(``Action`<? super `RepositoryHandler`>` configureAction)

Configures the set of repositories to upload to.

### Script block details

#### `repositories` { }

Configures the set of repositories to upload to.

Delegates to:
  `RepositoryHandler` from `repositories`